> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://rockwell.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://rockwell.ferndocs.com/_mcp/server.

# Update Customer

PUT https://connect.plex.com/mdm/v1/customers/{id}

Update an existing customer record.

Reference: https://rockwell.ferndocs.com/api-reference/customers-api/update-customer

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Success - Customer Updated (200 OK)

- `id` (string, optional)
- `customerCode` (string, optional)
- `name` (string, optional)
- `status` (string, optional)
- `email` (string, optional)
- `phone` (string, optional)
- `fax` (string, optional)
- `website` (string, optional)
- `primaryContact` (string, optional)
- `paymentTerms` (string, optional)
- `creditLimit` (integer, optional)
- `currency` (string, optional)
- `taxId` (string, optional)
- `customerClass` (string, optional)
- `addresses` (list of MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaAddressesItems, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `updatedBy` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request - Invalid Data (400)

- `error` (MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaError, optional)

### 401 Unauthorized Error

Unauthorized - Missing Token (401)

- `error` (MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaError, optional)

### 404 Not Found Error

Not Found - Customer Does Not Exist (404)

- `error` (MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaError, optional)

### 409 Conflict Error

Conflict - Duplicate Email (409)

- `error` (MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaError, optional)

## Types

### MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaAddressesItems

- `id` (string, optional)
- `type` (string, optional)
- `line1` (string, optional)
- `line2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postalCode` (string, optional)
- `country` (string, optional)
- `isPrimary` (boolean, optional)

### MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaError

- `code` (string, optional)
- `message` (string, optional)
- `details` (list of MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaErrorDetailsItems, optional)
- `timestamp` (datetime, optional)
- `path` (string, optional)
- `suggestion` (string, optional)

### MdmV1CustomersIdPutResponsesContentApplicationJsonSchemaErrorDetailsItems

- `field` (string, optional)
- `value` (string, optional)
- `conflictingResource` (string, optional)
- `conflictingResourceId` (string, optional)
- `description` (string, optional)

## Examples

**Response**

```json
{
  "id": "CUST-12345",
  "customerCode": "ACME001",
  "name": "Acme Corporation Updated",
  "status": "Active",
  "email": "contact@acmecorp.com",
  "phone": "+1-555-0199",
  "fax": "+1-555-0198",
  "website": "https://www.acmecorp.com",
  "primaryContact": "John Smith",
  "paymentTerms": "Net 45",
  "creditLimit": 75000,
  "currency": "USD",
  "taxId": "12-3456789",
  "customerClass": "Enterprise",
  "addresses": [
    {
      "id": "ADDR-001",
      "type": "Billing",
      "line1": "123 Main Street",
      "line2": "Suite 500",
      "city": "New York",
      "state": "NY",
      "postalCode": "10001",
      "country": "US",
      "isPrimary": true
    }
  ],
  "createdAt": "2024-01-15T10:30:00Z",
  "updatedAt": "2024-03-20T14:45:30Z",
  "updatedBy": "user@example.com"
}
```

**SDK Code**

```python updateCustomer_example
import requests

url = "https://connect.plex.com/mdm/v1/customers/id"

response = requests.put(url)

print(response.json())
```

```javascript updateCustomer_example
const url = 'https://connect.plex.com/mdm/v1/customers/id';
const options = {method: 'PUT'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go updateCustomer_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://connect.plex.com/mdm/v1/customers/id"

	req, _ := http.NewRequest("PUT", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby updateCustomer_example
require 'uri'
require 'net/http'

url = URI("https://connect.plex.com/mdm/v1/customers/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)

response = http.request(request)
puts response.read_body
```

```java updateCustomer_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://connect.plex.com/mdm/v1/customers/id")
  .asString();
```

```php updateCustomer_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://connect.plex.com/mdm/v1/customers/id');

echo $response->getBody();
```

```csharp updateCustomer_example
using RestSharp;

var client = new RestClient("https://connect.plex.com/mdm/v1/customers/id");
var request = new RestRequest(Method.PUT);
IRestResponse response = client.Execute(request);
```

```swift updateCustomer_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://connect.plex.com/mdm/v1/customers/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```